nl.topicus.jdbc

## Class MetaDataStore.TableKeyMetaData

- java.lang.Object
- - nl.topicus.jdbc.MetaDataStore.TableKeyMetaData

Enclosing class:
  MetaDataStore

    public class MetaDataStore.TableKeyMetaData
    extends Object

Class for storing the primary key columns of a table in the correct order.

Author:
  Olav

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`List<String>` `getKeyColumns()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getKeyColumns

    public List<String> getKeyColumns()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`